
import 'dart:async';

import 'package:flutter/services.dart';

class TradeinPlugin {
  static const MethodChannel _channel =
      const MethodChannel('tradein_plugin');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  // static Future<String?> get screenNavigate async {
  //   final String? navigate = await _channel.invokeMethod('screenNavigate');
  //   return navigate;
  // }

  static passValuesToNative({String value:'',required List arr, Map json:const{'':''}, bool isTrue:false}){
    _channel.invokeMethod('getDynamicValues',{'value':value,'arr':arr,'json':json,'isTrue':isTrue});
  }

  static loadTradinPluginSDK(){
    _channel.invokeMethod('loadTradinPluginSDK');
  }
}
